mb_light_switch: # Master Bedroom Light Switch:
  objects:
    - obj: "p1b3" # Bathroom Light brightness
      properties:
        "val": "{{ state_attr('light.bathroom', 'brightness') if state_attr('light.bathroom', 'brightness') != None else 0 }}"
      event:
        "changed":
          - service: light.turn_on
            data:
              entity_id: light.bathroom
              brightness: "{{ val }}"
        "up":
          - service: light.turn_on
            data:
              entity_id: light.bathroom
              brightness: "{{ val }}"

    - obj: "p1b4" # Master Bedroom Light brightness
      properties:
        "val": "{{ state_attr('light.master_bedroom', 'brightness') if state_attr('light.master_bedroom', 'brightness') != None else 0 }}"
      event:
        "changed":
          - service: light.turn_on
            data:
              entity_id: light.master_bedroom
              brightness: "{{ val }}"
        "up":
          - service: light.turn_on
            data:
              entity_id: light.master_bedroom
              brightness: "{{ val }}"

    - obj: "p1b5" # Master Bedroom Light
      properties:
        "val": '{{ 1 if is_state("light.master_bedroom", "on") else 0 }}'
      event:
        "up":
          - service: homeassistant.toggle
            entity_id: "light.master_bedroom"

    - obj: "p1b6" # Landing Light
      properties:
        "val": '{{ 1 if is_state("light.landing_light", "on") else 0 }}'
      event:
        "up":
          - service: homeassistant.toggle
            entity_id: "light.landing_light"

    - obj: "p1b7" # Bathroom Light
      properties:
        "val": '{{ 1 if is_state("light.bathroom", "on") else 0 }}'
      event:
        "up":
          - service: homeassistant.toggle
            entity_id: "light.bathroom"

    - obj: "p1b8" # Alice Bedroom Light
      properties:
        "val": '{{ 1 if is_state("light.main", "on") else 0 }}'
      event:
        "up":
          - service: homeassistant.toggle
            entity_id: "light.main"

    - obj: "p1b9" # Hallway Light
      properties:
        "val": '{{ 1 if is_state("light.hallway_light", "on") else 0 }}'
      event:
        "up":
          - service: homeassistant.toggle
            entity_id: "light.hallway_light"

    - obj: "p1b10" # Toilet Light
      properties:
        "val": '{{ 1 if is_state("light.toilet_light", "on") else 0 }}'
      event:
        "up":
          - service: homeassistant.toggle
            entity_id: "light.toilet_light"

    - obj: "p1b11" # Kitchen Light
      properties:
        "val": '{{ 1 if is_state("light.kitchen_light", "on") else 0 }}'
      event:
        "up":
          - service: homeassistant.toggle
            entity_id: "light.kitchen_light"

    - obj: "p1b12" # Dining Room Light
      properties:
        "val": '{{ 1 if is_state("light.dining_room", "on") else 0 }}'
      event:
        "up":
          - service: homeassistant.toggle
            entity_id: "light.dining_room"

    - obj: "p1b13" # Living Room Light
      properties:
        "val": '{{ 1 if is_state("light.living_room", "on") else 0 }}'
      event:
        "up":
          - service: homeassistant.toggle
            entity_id: "light.living_room"

    - obj: "p1b14" # Patio Light
      properties:
        "val": '{{ 1 if is_state("light.patio_light", "on") else 0 }}'
      event:
        "up":
          - service: homeassistant.toggle
            entity_id: "light.patio_light"

    - obj: "p1b15" # Fire Light
      properties:
        "val": '{{ 1 if is_state("light.stove_light", "on") else 0 }}'
      event:
        "up":
          - service: homeassistant.toggle
            entity_id: "light.stove_light"

    - obj: "p1b16" # TV Light
      properties:
        "val": '{{ 1 if is_state("light.living_room_backlight", "on") else 0 }}'
      event:
        "up":
          - service: homeassistant.toggle
            entity_id: "light.living_room_backlight"

    ############################## Page 2 ##############################

    - obj: "p2b3" # Bathroom Light color
      properties:
        "color": >
          {% if is_state('light.bathroom','on') %}
          {% set rgb = state_attr('light.bathroom','rgb_color') %}
          {{ "#%02x%02x%02x" | format(rgb[0],rgb[1],rgb[2]) }}
          {% endif %}
      event:
        "up":
          - service: light.turn_on
            data:
              entity_id: light.bathroom
              rgb_color: "[{{ r }},{{ g }},{{ b }}]"

    - obj: "p2b5" # Master Bedroom Light color
      properties:
        "color": >
          {% if is_state('light.master_bedroom','on') %}
          {% set rgb = state_attr('light.master_bedroom','rgb_color') %}
          {{ "#%02x%02x%02x" | format(rgb[0],rgb[1],rgb[2]) }}
          {% endif %}
      event:
        "up":
          - service: light.turn_on
            data:
              entity_id: light.master_bedroom
              rgb_color: "[{{ r }},{{ g }},{{ b }}]"

    ############################## Page 3 ##############################

    - obj: "p3b78" # DC temperature
      properties:
        "text": 'Outside: {{ states("sensor.openweathermap_temperature") | float |round(2) }}°C'

    - obj: "p3b44" # PV Power
      properties:
        "text": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_pv_power')|int %}
          {% if count >= 1000 %}
          {{ (count/1000) |round(2)  }}kW
          {% else %}
          {{ count }}W
          {% endif %}

    - obj: "p3b43" # PV Energy
      properties:
        "text": '{{ states("sensor.deye_sunsynk_sol_ark_pv_energy") }}kWh'

    - obj: "p3b46" # Load Power
      properties:
        "text": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_load_power')|int %}
          {% if count >= 1000 %}
          {{ (count/1000) |round(2)  }}kW
          {% else %}
          {{ count }}W
          {% endif %}

    - obj: "p3b45" # Load Energy
      properties:
        "text": '{{ states("sensor.deye_sunsynk_sol_ark_load_energy") }}kWh'

    - obj: "p3b47" # Grid Power
      properties:
        "text": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_grid_power')|int %}
          {% if count <= -1000 %}
          {{ (count/1000) |round(2)  }}kW
          {% elif count >= 1000 %}
          {{ (count/1000) |round(2)  }}kW
          {% else %}
          {{ count }}W
          {% endif %}

    # Off Grid F19DD
    # Grid Export F192D
    # Grid Import F0D3E

    - obj: "p3b48" # Grid Energy In
      properties:
        "text": 'In:{{ states("sensor.deye_sunsynk_sol_ark_grid_energy_in") }}kWh'

    - obj: "p3b49" # Grid Energy Out
      properties:
        "text": 'Out:{{ states("sensor.deye_sunsynk_sol_ark_grid_energy_out") }}kWh'

    - obj: "p3b54" # Grid Price
      properties:
        "text": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_grid_power')|int %}
          {% if count <= 0 %}
          Out:£{{ states("sensor.octopus_energy_electricity_22j0079525_2700008750428_export_current_rate") |round(2) }}
          {% else %}
          In:£{{ states("sensor.octopus_energy_electricity_22j0079525_2700001908593_current_rate") |round(2) }}
          {% endif %}

    - obj: "p3b37" # Battery Power
      properties:
        "text": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_battery_power')|int %}
          {% if count <= -1000 %}
          {{ (count/1000) |round(2)  }}kW
          {% elif count >= 1000 %}
          {{ (count/1000) |round(2)  }}kW
          {% else %}
          {{ count }}W
          {% endif %}

    - obj: "p3b40" # Battery temperature
      properties:
        "text": '{{ states("sensor.deye_sunsynk_sol_ark_battery_temperature") | float |round(2) }}°C'

    - obj: "p3b52" # DC temperature
      properties:
        "text": '{{ states("sensor.solarsynk_2206109491_dc_temperature") | float |round(2) }}°C'

    - obj: "p3b53" # AC temperature
      properties:
        "text": '{{ states("sensor.solarsynk_2206109491_ac_temperature") | float |round(2) }}°C'

    - obj: "p3b38" # Battery Energy In
      properties:
        "text": 'In: {{ states("sensor.deye_sunsynk_sol_ark_battery_energy_in") }}kWh'

    - obj: "p3b39" # Battery Energy Out
      properties:
        "text": 'Out: {{ states("sensor.deye_sunsynk_sol_ark_battery_energy_out") }}kWh'

    - obj: "p3b41" # Battery Remaining kWh
      properties:
        "text": '{{ states("sensor.battery_remaining_capacity") |round(2) }}kWh'

    - obj: "p3b32" # PV Power Icon depending on
      properties:
        "text": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_battery_state_of_charge') |int  | round(0)   %}
          {% if count <= 30 %} 
          {{ "\uE08E" }}
          {% elif  count <= 50 %}
          {{ "\uF2A1" }}
          {% elif  count <= 70 %}
          {{ "\uF2A2" }}
          {% else  %}
          {{ "\uF2A3" }}  
          {% endif %}
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_battery_state_of_charge') |int  | round(0)   %}
          {% if count <= 30 %} 
          {{ "#FF0000" }}
          {% elif  count <= 50 %}
          {{ "#FF6600" }}
          {% elif  count <= 70 %}
          {{ "#FFFF00" }}
          {% elif  count <= 100 %}
          {{ "#228B22" }}
          {% else  %}
          {{ "#FF0000" }}
          {% endif %}

    - obj: "p3b36" # Battery State Of Charge
      properties:
        "text": '{{ states("sensor.deye_sunsynk_sol_ark_battery_state_of_charge") |round(0) }}%'

    - obj: "p3b58" # Battery Power Line Colour
      properties:
        "line_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_battery_power')|int %}
          {% if count <= -1600  %}
          {{ "#FF0000" }}
          {% elif count <= -1500  %}
          {{ "#FF1100" }}
          {% elif count <= -1400  %}
          {{ "#FF2200" }}
          {% elif count <= -1300  %}
          {{ "#FF3300" }}
          {% elif count <= -1200  %}
          {{ "#FF4400" }}
          {% elif count <= -1100  %}
          {{ "#FF5500" }}
          {% elif count <= -1000  %}
          {{ "#FF6600" }}
          {% elif count <= -900  %}
          {{ "#FF7700" }}
          {% elif count <= -800  %}
          {{ "#FF8800" }}
          {% elif count <= -700  %}
          {{ "#FF9900" }}
          {% elif count <= -600  %}
          {{ "#FFAA00" }}
          {% elif count <= -500  %}
          {{ "#FFBB00" }}
          {% elif count <= -400  %}
          {{ "#FFCC00" }}
          {% elif count <= -300  %}
          {{ "#FFDD00" }}
          {% elif count <= -200  %}
          {{ "#FFEE00" }}
          {% elif count <= -100  %}
          {{ "#FFFF00" }}
          {% elif count <= -0  %}
          {{ "#EEFF00" }}
          {% elif count <= 100  %}
          {{ "#DDFF00" }}
          {% elif count <= 200  %}
          {{ "#CCFF00" }}
          {% elif count <= 300  %}
          {{ "#BBFF00" }}
          {% elif count <= 400  %}
          {{ "#AAFF00" }}
          {% elif count <= 500  %}
          {{ "#99FF00" }}
          {% elif count <= 600  %}
          {{ "#88FF00" }}
          {% elif count <= 700  %}
          {{ "#77FF00" }}
          {% elif count <= 800  %}
          {{ "#66FF00" }}
          {% elif count <= 900  %}
          {{ "#55FF00" }}
          {% elif count <= 1000  %}
          {{ "#44FF00" }}
          {% elif count <= 1100  %}
          {{ "#33FF00" }}
          {% elif count <= 1200  %}
          {{ "#22FF00" }}
          {% elif count <= 1300  %}
          {{ "#11FF00" }}
          {% else %}
          {{ "#00FF00" }}
          {% endif %}

    - obj: "p3b68" # Battery Power Direction 1
      properties:
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_battery_power')|int %}
          {% if count <= -1600  %}
          {{ "#FF0000" }}
          {% elif count <= -1500  %}
          {{ "#FF1100" }}
          {% elif count <= -1400  %}
          {{ "#FF2200" }}
          {% elif count <= -1300  %}
          {{ "#FF3300" }}
          {% elif count <= -1200  %}
          {{ "#FF4400" }}
          {% elif count <= -1100  %}
          {{ "#FF5500" }}
          {% elif count <= -1000  %}
          {{ "#FF6600" }}
          {% elif count <= -900  %}
          {{ "#FF7700" }}
          {% elif count <= -800  %}
          {{ "#FF8800" }}
          {% elif count <= -700  %}
          {{ "#FF9900" }}
          {% elif count <= -600  %}
          {{ "#FFAA00" }}
          {% elif count <= -500  %}
          {{ "#FFBB00" }}
          {% elif count <= -400  %}
          {{ "#FFCC00" }}
          {% elif count <= -300  %}
          {{ "#FFDD00" }}
          {% elif count <= -200  %}
          {{ "#FFEE00" }}
          {% elif count <= -100  %}
          {{ "#FFFF00" }}
          {% elif count <= -0  %}
          {{ "#EEFF00" }}
          {% elif count <= 100  %}
          {{ "#DDFF00" }}
          {% elif count <= 200  %}
          {{ "#CCFF00" }}
          {% elif count <= 300  %}
          {{ "#BBFF00" }}
          {% elif count <= 400  %}
          {{ "#AAFF00" }}
          {% elif count <= 500  %}
          {{ "#99FF00" }}
          {% elif count <= 600  %}
          {{ "#88FF00" }}
          {% elif count <= 700  %}
          {{ "#77FF00" }}
          {% elif count <= 800  %}
          {{ "#66FF00" }}
          {% elif count <= 900  %}
          {{ "#55FF00" }}
          {% elif count <= 1000  %}
          {{ "#44FF00" }}
          {% elif count <= 1100  %}
          {{ "#33FF00" }}
          {% elif count <= 1200  %}
          {{ "#22FF00" }}
          {% elif count <= 1300  %}
          {{ "#11FF00" }}
          {% else %}
          {{ "#00FF00" }}
          {% endif %}

    - obj: "p3b69" # Battery Power Direction 2
      properties:
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_battery_power')|int %}
          {% if count <= -1600  %}
          {{ "#FF0000" }}
          {% elif count <= -1500  %}
          {{ "#FF1100" }}
          {% elif count <= -1400  %}
          {{ "#FF2200" }}
          {% elif count <= -1300  %}
          {{ "#FF3300" }}
          {% elif count <= -1200  %}
          {{ "#FF4400" }}
          {% elif count <= -1100  %}
          {{ "#FF5500" }}
          {% elif count <= -1000  %}
          {{ "#FF6600" }}
          {% elif count <= -900  %}
          {{ "#FF7700" }}
          {% elif count <= -800  %}
          {{ "#FF8800" }}
          {% elif count <= -700  %}
          {{ "#FF9900" }}
          {% elif count <= -600  %}
          {{ "#FFAA00" }}
          {% elif count <= -500  %}
          {{ "#FFBB00" }}
          {% elif count <= -400  %}
          {{ "#FFCC00" }}
          {% elif count <= -300  %}
          {{ "#FFDD00" }}
          {% elif count <= -200  %}
          {{ "#FFEE00" }}
          {% elif count <= -100  %}
          {{ "#FFFF00" }}
          {% elif count <= -0  %}
          {{ "#EEFF00" }}
          {% elif count <= 100  %}
          {{ "#DDFF00" }}
          {% elif count <= 200  %}
          {{ "#CCFF00" }}
          {% elif count <= 300  %}
          {{ "#BBFF00" }}
          {% elif count <= 400  %}
          {{ "#AAFF00" }}
          {% elif count <= 500  %}
          {{ "#99FF00" }}
          {% elif count <= 600  %}
          {{ "#88FF00" }}
          {% elif count <= 700  %}
          {{ "#77FF00" }}
          {% elif count <= 800  %}
          {{ "#66FF00" }}
          {% elif count <= 900  %}
          {{ "#55FF00" }}
          {% elif count <= 1000  %}
          {{ "#44FF00" }}
          {% elif count <= 1100  %}
          {{ "#33FF00" }}
          {% elif count <= 1200  %}
          {{ "#22FF00" }}
          {% elif count <= 1300  %}
          {{ "#11FF00" }}
          {% else %}
          {{ "#00FF00" }}
          {% endif %}

    - obj: "p3b70" # Battery Power Direction 3
      properties:
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_battery_power')|int %}
          {% if count <= -1600  %}
          {{ "#FF0000" }}
          {% elif count <= -1500  %}
          {{ "#FF1100" }}
          {% elif count <= -1400  %}
          {{ "#FF2200" }}
          {% elif count <= -1300  %}
          {{ "#FF3300" }}
          {% elif count <= -1200  %}
          {{ "#FF4400" }}
          {% elif count <= -1100  %}
          {{ "#FF5500" }}
          {% elif count <= -1000  %}
          {{ "#FF6600" }}
          {% elif count <= -900  %}
          {{ "#FF7700" }}
          {% elif count <= -800  %}
          {{ "#FF8800" }}
          {% elif count <= -700  %}
          {{ "#FF9900" }}
          {% elif count <= -600  %}
          {{ "#FFAA00" }}
          {% elif count <= -500  %}
          {{ "#FFBB00" }}
          {% elif count <= -400  %}
          {{ "#FFCC00" }}
          {% elif count <= -300  %}
          {{ "#FFDD00" }}
          {% elif count <= -200  %}
          {{ "#FFEE00" }}
          {% elif count <= -100  %}
          {{ "#FFFF00" }}
          {% elif count <= -0  %}
          {{ "#EEFF00" }}
          {% elif count <= 100  %}
          {{ "#DDFF00" }}
          {% elif count <= 200  %}
          {{ "#CCFF00" }}
          {% elif count <= 300  %}
          {{ "#BBFF00" }}
          {% elif count <= 400  %}
          {{ "#AAFF00" }}
          {% elif count <= 500  %}
          {{ "#99FF00" }}
          {% elif count <= 600  %}
          {{ "#88FF00" }}
          {% elif count <= 700  %}
          {{ "#77FF00" }}
          {% elif count <= 800  %}
          {{ "#66FF00" }}
          {% elif count <= 900  %}
          {{ "#55FF00" }}
          {% elif count <= 1000  %}
          {{ "#44FF00" }}
          {% elif count <= 1100  %}
          {{ "#33FF00" }}
          {% elif count <= 1200  %}
          {{ "#22FF00" }}
          {% elif count <= 1300  %}
          {{ "#11FF00" }}
          {% else %}
          {{ "#00FF00" }}
          {% endif %}

    - obj: "p3b56" # Grid Power Direction Line
      properties:
        "line_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_grid_power')|int %}
          {% if count <= -1600  %}
          {{ "#00FF00" }}
          {% elif count <= -1500  %}
          {{ "#11FF00" }}
          {% elif count <= -1400  %}
          {{ "#22FF00" }}
          {% elif count <= -1300  %}
          {{ "#33FF00" }}
          {% elif count <= -1200  %}
          {{ "#44FF00" }}
          {% elif count <= -1100  %}
          {{ "#55FF00" }}
          {% elif count <= -1000  %}
          {{ "#66FF00" }}
          {% elif count <= -900  %}
          {{ "#77FF00" }}
          {% elif count <= -800  %}
          {{ "#88FF00" }}
          {% elif count <= -700  %}
          {{ "#99FF00" }}
          {% elif count <= -600  %}
          {{ "#AAFF00" }}
          {% elif count <= -500  %}
          {{ "#BBFF00" }}
          {% elif count <= -400  %}
          {{ "#CCFF00" }}
          {% elif count <= -300  %}
          {{ "#DDFF00" }}
          {% elif count <= -200  %}
          {{ "#EEFF00" }}
          {% elif count <= -100  %}
          {{ "#FFFF00" }}
          {% elif count <= -0  %}
          {{ "#FFFF00" }}
          {% elif count <= 100  %}
          {{ "#FFEE00" }}
          {% elif count <= 200  %}
          {{ "#FFDD00" }}
          {% elif count <= 300  %}
          {{ "#FFCC00" }}
          {% elif count <= 400  %}
          {{ "#FFBB00" }}
          {% elif count <= 500  %}
          {{ "#FFAA00" }}
          {% elif count <= 600  %}
          {{ "#FF9900" }}
          {% elif count <= 700  %}
          {{ "#FF8800" }}
          {% elif count <= 800  %}
          {{ "#FF7700" }}
          {% elif count <= 900  %}
          {{ "#FF6600" }}
          {% elif count <= 1000  %}
          {{ "#FF5500" }}
          {% elif count <= 1100  %}
          {{ "#FF4400" }}
          {% elif count <= 1200  %}
          {{ "#FF3300" }}
          {% elif count <= 1300  %}
          {{ "#FF2200" }}
          {% elif count <= 1400  %}
          {{ "#FF1100" }}
          {% else %}
          {{ "#FF0000" }}
          {% endif %}

    - obj: "p3b59" # Grid Power Direction 1
      properties:
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_grid_power')|int %}
          {% if count <= -1600  %}
          {{ "#00FF00" }}
          {% elif count <= -1500  %}
          {{ "#11FF00" }}
          {% elif count <= -1400  %}
          {{ "#22FF00" }}
          {% elif count <= -1300  %}
          {{ "#33FF00" }}
          {% elif count <= -1200  %}
          {{ "#44FF00" }}
          {% elif count <= -1100  %}
          {{ "#55FF00" }}
          {% elif count <= -1000  %}
          {{ "#66FF00" }}
          {% elif count <= -900  %}
          {{ "#77FF00" }}
          {% elif count <= -800  %}
          {{ "#88FF00" }}
          {% elif count <= -700  %}
          {{ "#99FF00" }}
          {% elif count <= -600  %}
          {{ "#AAFF00" }}
          {% elif count <= -500  %}
          {{ "#BBFF00" }}
          {% elif count <= -400  %}
          {{ "#CCFF00" }}
          {% elif count <= -300  %}
          {{ "#DDFF00" }}
          {% elif count <= -200  %}
          {{ "#EEFF00" }}
          {% elif count <= -100  %}
          {{ "#FFFF00" }}
          {% elif count <= -0  %}
          {{ "#FFFF00" }}
          {% elif count <= 100  %}
          {{ "#FFEE00" }}
          {% elif count <= 200  %}
          {{ "#FFDD00" }}
          {% elif count <= 300  %}
          {{ "#FFCC00" }}
          {% elif count <= 400  %}
          {{ "#FFBB00" }}
          {% elif count <= 500  %}
          {{ "#FFAA00" }}
          {% elif count <= 600  %}
          {{ "#FF9900" }}
          {% elif count <= 700  %}
          {{ "#FF8800" }}
          {% elif count <= 800  %}
          {{ "#FF7700" }}
          {% elif count <= 900  %}
          {{ "#FF6600" }}
          {% elif count <= 1000  %}
          {{ "#FF5500" }}
          {% elif count <= 1100  %}
          {{ "#FF4400" }}
          {% elif count <= 1200  %}
          {{ "#FF3300" }}
          {% elif count <= 1300  %}
          {{ "#FF2200" }}
          {% elif count <= 1400  %}
          {{ "#FF1100" }}
          {% else %}
          {{ "#FF0000" }}
          {% endif %}

    - obj: "p3b60" # Grid Power Direction 2
      properties:
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_grid_power')|int %}
          {% if count <= -1600  %}
          {{ "#00FF00" }}
          {% elif count <= -1500  %}
          {{ "#11FF00" }}
          {% elif count <= -1400  %}
          {{ "#22FF00" }}
          {% elif count <= -1300  %}
          {{ "#33FF00" }}
          {% elif count <= -1200  %}
          {{ "#44FF00" }}
          {% elif count <= -1100  %}
          {{ "#55FF00" }}
          {% elif count <= -1000  %}
          {{ "#66FF00" }}
          {% elif count <= -900  %}
          {{ "#77FF00" }}
          {% elif count <= -800  %}
          {{ "#88FF00" }}
          {% elif count <= -700  %}
          {{ "#99FF00" }}
          {% elif count <= -600  %}
          {{ "#AAFF00" }}
          {% elif count <= -500  %}
          {{ "#BBFF00" }}
          {% elif count <= -400  %}
          {{ "#CCFF00" }}
          {% elif count <= -300  %}
          {{ "#DDFF00" }}
          {% elif count <= -200  %}
          {{ "#EEFF00" }}
          {% elif count <= -100  %}
          {{ "#FFFF00" }}
          {% elif count <= -0  %}
          {{ "#FFFF00" }}
          {% elif count <= 100  %}
          {{ "#FFEE00" }}
          {% elif count <= 200  %}
          {{ "#FFDD00" }}
          {% elif count <= 300  %}
          {{ "#FFCC00" }}
          {% elif count <= 400  %}
          {{ "#FFBB00" }}
          {% elif count <= 500  %}
          {{ "#FFAA00" }}
          {% elif count <= 600  %}
          {{ "#FF9900" }}
          {% elif count <= 700  %}
          {{ "#FF8800" }}
          {% elif count <= 800  %}
          {{ "#FF7700" }}
          {% elif count <= 900  %}
          {{ "#FF6600" }}
          {% elif count <= 1000  %}
          {{ "#FF5500" }}
          {% elif count <= 1100  %}
          {{ "#FF4400" }}
          {% elif count <= 1200  %}
          {{ "#FF3300" }}
          {% elif count <= 1300  %}
          {{ "#FF2200" }}
          {% elif count <= 1400  %}
          {{ "#FF1100" }}
          {% else %}
          {{ "#FF0000" }}
          {% endif %}

    - obj: "p3b61" # Grid Power Direction 3
      properties:
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_grid_power')|int %}
          {% if count <= -1600  %}
          {{ "#00FF00" }}
          {% elif count <= -1500  %}
          {{ "#11FF00" }}
          {% elif count <= -1400  %}
          {{ "#22FF00" }}
          {% elif count <= -1300  %}
          {{ "#33FF00" }}
          {% elif count <= -1200  %}
          {{ "#44FF00" }}
          {% elif count <= -1100  %}
          {{ "#55FF00" }}
          {% elif count <= -1000  %}
          {{ "#66FF00" }}
          {% elif count <= -900  %}
          {{ "#77FF00" }}
          {% elif count <= -800  %}
          {{ "#88FF00" }}
          {% elif count <= -700  %}
          {{ "#99FF00" }}
          {% elif count <= -600  %}
          {{ "#AAFF00" }}
          {% elif count <= -500  %}
          {{ "#BBFF00" }}
          {% elif count <= -400  %}
          {{ "#CCFF00" }}
          {% elif count <= -300  %}
          {{ "#DDFF00" }}
          {% elif count <= -200  %}
          {{ "#EEFF00" }}
          {% elif count <= -100  %}
          {{ "#FFFF00" }}
          {% elif count <= -0  %}
          {{ "#FFFF00" }}
          {% elif count <= 100  %}
          {{ "#FFEE00" }}
          {% elif count <= 200  %}
          {{ "#FFDD00" }}
          {% elif count <= 300  %}
          {{ "#FFCC00" }}
          {% elif count <= 400  %}
          {{ "#FFBB00" }}
          {% elif count <= 500  %}
          {{ "#FFAA00" }}
          {% elif count <= 600  %}
          {{ "#FF9900" }}
          {% elif count <= 700  %}
          {{ "#FF8800" }}
          {% elif count <= 800  %}
          {{ "#FF7700" }}
          {% elif count <= 900  %}
          {{ "#FF6600" }}
          {% elif count <= 1000  %}
          {{ "#FF5500" }}
          {% elif count <= 1100  %}
          {{ "#FF4400" }}
          {% elif count <= 1200  %}
          {{ "#FF3300" }}
          {% elif count <= 1300  %}
          {{ "#FF2200" }}
          {% elif count <= 1400  %}
          {{ "#FF1100" }}
          {% else %}
          {{ "#FF0000" }}
          {% endif %}

    - obj: "p3b55" # LOAD Power Direction Line
      properties:
        "line_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_load_power')|int %}
          {% if count <= 100  %}
          {{ "#00FF00" }}
          {% elif count <= 200  %}
          {{ "#11FF00" }}
          {% elif count <= 300  %}
          {{ "#22FF00" }}
          {% elif count <= 400  %}
          {{ "#33FF00" }}
          {% elif count <= 500  %}
          {{ "#44FF00" }}
          {% elif count <= 600  %}
          {{ "#55FF00" }}
          {% elif count <= 700  %}
          {{ "#66FF00" }}
          {% elif count <= 800  %}
          {{ "#77FF00" }}
          {% elif count <= 900  %}
          {{ "#88FF00" }}
          {% elif count <= 1000  %}
          {{ "#99FF00" }}
          {% elif count <= 1100  %}
          {{ "#AAFF00" }}
          {% elif count <= 1200  %}
          {{ "#BBFF00" }}
          {% elif count <= 1300  %}
          {{ "#CCFF00" }}
          {% elif count <= 1400  %}
          {{ "#DDFF00" }}
          {% elif count <= 1500  %}
          {{ "#EEFF00" }}
          {% elif count <= 1600  %}
          {{ "#FFFF00" }}
          {% elif count <= 1700  %}
          {{ "#FFFF00" }}
          {% elif count <= 1800  %}
          {{ "#FFEE00" }}
          {% elif count <= 1900  %}
          {{ "#FFDD00" }}
          {% elif count <= 2000  %}
          {{ "#FFCC00" }}
          {% elif count <= 2100  %}
          {{ "#FFBB00" }}
          {% elif count <= 2200  %}
          {{ "#FFAA00" }}
          {% elif count <= 2300  %}
          {{ "#FF9900" }}
          {% elif count <= 2400  %}
          {{ "#FF8800" }}
          {% elif count <= 2500  %}
          {{ "#FF7700" }}
          {% elif count <= 2600  %}
          {{ "#FF6600" }}
          {% elif count <= 2700  %}
          {{ "#FF5500" }}
          {% elif count <= 2800  %}
          {{ "#FF4400" }}
          {% elif count <= 2900  %}
          {{ "#FF3300" }}
          {% elif count <= 3000  %}
          {{ "#FF2200" }}
          {% elif count <= 3100  %}
          {{ "#FF1100" }}
          {% else %}
          {{ "#FF0000" }}
          {% endif %}

    - obj: "p3b62" # LOAD Power Direction 1
      properties:
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_load_power')|int %}
          {% if count <= 100  %}
          {{ "#00FF00" }}
          {% elif count <= 200  %}
          {{ "#11FF00" }}
          {% elif count <= 300  %}
          {{ "#22FF00" }}
          {% elif count <= 400  %}
          {{ "#33FF00" }}
          {% elif count <= 500  %}
          {{ "#44FF00" }}
          {% elif count <= 600  %}
          {{ "#55FF00" }}
          {% elif count <= 700  %}
          {{ "#66FF00" }}
          {% elif count <= 800  %}
          {{ "#77FF00" }}
          {% elif count <= 900  %}
          {{ "#88FF00" }}
          {% elif count <= 1000  %}
          {{ "#99FF00" }}
          {% elif count <= 1100  %}
          {{ "#AAFF00" }}
          {% elif count <= 1200  %}
          {{ "#BBFF00" }}
          {% elif count <= 1300  %}
          {{ "#CCFF00" }}
          {% elif count <= 1400  %}
          {{ "#DDFF00" }}
          {% elif count <= 1500  %}
          {{ "#EEFF00" }}
          {% elif count <= 1600  %}
          {{ "#FFFF00" }}
          {% elif count <= 1700  %}
          {{ "#FFFF00" }}
          {% elif count <= 1800  %}
          {{ "#FFEE00" }}
          {% elif count <= 1900  %}
          {{ "#FFDD00" }}
          {% elif count <= 2000  %}
          {{ "#FFCC00" }}
          {% elif count <= 2100  %}
          {{ "#FFBB00" }}
          {% elif count <= 2200  %}
          {{ "#FFAA00" }}
          {% elif count <= 2300  %}
          {{ "#FF9900" }}
          {% elif count <= 2400  %}
          {{ "#FF8800" }}
          {% elif count <= 2500  %}
          {{ "#FF7700" }}
          {% elif count <= 2600  %}
          {{ "#FF6600" }}
          {% elif count <= 2700  %}
          {{ "#FF5500" }}
          {% elif count <= 2800  %}
          {{ "#FF4400" }}
          {% elif count <= 2900  %}
          {{ "#FF3300" }}
          {% elif count <= 3000  %}
          {{ "#FF2200" }}
          {% elif count <= 3100  %}
          {{ "#FF1100" }}
          {% else %}
          {{ "#FF0000" }}
          {% endif %}

    - obj: "p3b63" # LOAD Power Direction 2
      properties:
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_load_power')|int %}
          {% if count <= 100  %}
          {{ "#00FF00" }}
          {% elif count <= 200  %}
          {{ "#11FF00" }}
          {% elif count <= 300  %}
          {{ "#22FF00" }}
          {% elif count <= 400  %}
          {{ "#33FF00" }}
          {% elif count <= 500  %}
          {{ "#44FF00" }}
          {% elif count <= 600  %}
          {{ "#55FF00" }}
          {% elif count <= 700  %}
          {{ "#66FF00" }}
          {% elif count <= 800  %}
          {{ "#77FF00" }}
          {% elif count <= 900  %}
          {{ "#88FF00" }}
          {% elif count <= 1000  %}
          {{ "#99FF00" }}
          {% elif count <= 1100  %}
          {{ "#AAFF00" }}
          {% elif count <= 1200  %}
          {{ "#BBFF00" }}
          {% elif count <= 1300  %}
          {{ "#CCFF00" }}
          {% elif count <= 1400  %}
          {{ "#DDFF00" }}
          {% elif count <= 1500  %}
          {{ "#EEFF00" }}
          {% elif count <= 1600  %}
          {{ "#FFFF00" }}
          {% elif count <= 1700  %}
          {{ "#FFFF00" }}
          {% elif count <= 1800  %}
          {{ "#FFEE00" }}
          {% elif count <= 1900  %}
          {{ "#FFDD00" }}
          {% elif count <= 2000  %}
          {{ "#FFCC00" }}
          {% elif count <= 2100  %}
          {{ "#FFBB00" }}
          {% elif count <= 2200  %}
          {{ "#FFAA00" }}
          {% elif count <= 2300  %}
          {{ "#FF9900" }}
          {% elif count <= 2400  %}
          {{ "#FF8800" }}
          {% elif count <= 2500  %}
          {{ "#FF7700" }}
          {% elif count <= 2600  %}
          {{ "#FF6600" }}
          {% elif count <= 2700  %}
          {{ "#FF5500" }}
          {% elif count <= 2800  %}
          {{ "#FF4400" }}
          {% elif count <= 2900  %}
          {{ "#FF3300" }}
          {% elif count <= 3000  %}
          {{ "#FF2200" }}
          {% elif count <= 3100  %}
          {{ "#FF1100" }}
          {% else %}
          {{ "#FF0000" }}
          {% endif %}

    - obj: "p3b64" # LOAD Power Direction 3
      properties:
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_load_power')|int %}
          {% if count <= 100  %}
          {{ "#00FF00" }}
          {% elif count <= 200  %}
          {{ "#11FF00" }}
          {% elif count <= 300  %}
          {{ "#22FF00" }}
          {% elif count <= 400  %}
          {{ "#33FF00" }}
          {% elif count <= 500  %}
          {{ "#44FF00" }}
          {% elif count <= 600  %}
          {{ "#55FF00" }}
          {% elif count <= 700  %}
          {{ "#66FF00" }}
          {% elif count <= 800  %}
          {{ "#77FF00" }}
          {% elif count <= 900  %}
          {{ "#88FF00" }}
          {% elif count <= 1000  %}
          {{ "#99FF00" }}
          {% elif count <= 1100  %}
          {{ "#AAFF00" }}
          {% elif count <= 1200  %}
          {{ "#BBFF00" }}
          {% elif count <= 1300  %}
          {{ "#CCFF00" }}
          {% elif count <= 1400  %}
          {{ "#DDFF00" }}
          {% elif count <= 1500  %}
          {{ "#EEFF00" }}
          {% elif count <= 1600  %}
          {{ "#FFFF00" }}
          {% elif count <= 1700  %}
          {{ "#FFFF00" }}
          {% elif count <= 1800  %}
          {{ "#FFEE00" }}
          {% elif count <= 1900  %}
          {{ "#FFDD00" }}
          {% elif count <= 2000  %}
          {{ "#FFCC00" }}
          {% elif count <= 2100  %}
          {{ "#FFBB00" }}
          {% elif count <= 2200  %}
          {{ "#FFAA00" }}
          {% elif count <= 2300  %}
          {{ "#FF9900" }}
          {% elif count <= 2400  %}
          {{ "#FF8800" }}
          {% elif count <= 2500  %}
          {{ "#FF7700" }}
          {% elif count <= 2600  %}
          {{ "#FF6600" }}
          {% elif count <= 2700  %}
          {{ "#FF5500" }}
          {% elif count <= 2800  %}
          {{ "#FF4400" }}
          {% elif count <= 2900  %}
          {{ "#FF3300" }}
          {% elif count <= 3000  %}
          {{ "#FF2200" }}
          {% elif count <= 3100  %}
          {{ "#FF1100" }}
          {% else %}
          {{ "#FF0000" }}
          {% endif %}

    - obj: "p3b57" # PV Power Direction Line
      properties:
        "line_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_pv_power')|int %}
          {% if count <= 100  %}
          {{ "#FF0000" }}
          {% elif count <= 200  %}
          {{ "#FF1100" }}
          {% elif count <= 300  %}
          {{ "#FF2200" }}
          {% elif count <= 400  %}
          {{ "#FF3300" }}
          {% elif count <= 500  %}
          {{ "#FF4400" }}
          {% elif count <= 600  %}
          {{ "#FF5500" }}
          {% elif count <= 700  %}
          {{ "#FF6600" }}
          {% elif count <= 800  %}
          {{ "#FF7700" }}
          {% elif count <= 900  %}
          {{ "#FF8800" }}
          {% elif count <= 1000  %}
          {{ "#FF9900" }}
          {% elif count <= 1100  %}
          {{ "#FFAA00" }}
          {% elif count <= 1200  %}
          {{ "#FFBB00" }}
          {% elif count <= 1300  %}
          {{ "#FFCC00" }}
          {% elif count <= 1400  %}
          {{ "#FFDD00" }}
          {% elif count <= 1500  %}
          {{ "#FFEE00" }}
          {% elif count <= 1600  %}
          {{ "#FFFF00" }}
          {% elif count <= 1700  %}
          {{ "#EEFF00" }}
          {% elif count <= 1800  %}
          {{ "#DDFF00" }}
          {% elif count <= 1900  %}
          {{ "#CCFF00" }}
          {% elif count <= 2000  %}
          {{ "#BBFF00" }}
          {% elif count <= 2100  %}
          {{ "#AAFF00" }}
          {% elif count <= 2200  %}
          {{ "#99FF00" }}
          {% elif count <= 2300  %}
          {{ "#88FF00" }}
          {% elif count <= 2400  %}
          {{ "#77FF00" }}
          {% elif count <= 2500  %}
          {{ "#66FF00" }}
          {% elif count <= 2600  %}
          {{ "#55FF00" }}
          {% elif count <= 2700  %}
          {{ "#44FF00" }}
          {% elif count <= 2800  %}
          {{ "#33FF00" }}
          {% elif count <= 2900  %}
          {{ "#22FF00" }}
          {% elif count <= 3000  %}
          {{ "#11FF00" }}
          {% elif count <= 3100  %}
          {{ "#00FF00" }}
          {% else %}
          {{ "#00FF00" }}
          {% endif %}

    - obj: "p3b65" # PV Power Direction 1
      properties:
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_pv_power')|int %}
          {% if count <= 100  %}
          {{ "#FF0000" }}
          {% elif count <= 200  %}
          {{ "#FF1100" }}
          {% elif count <= 300  %}
          {{ "#FF2200" }}
          {% elif count <= 400  %}
          {{ "#FF3300" }}
          {% elif count <= 500  %}
          {{ "#FF4400" }}
          {% elif count <= 600  %}
          {{ "#FF5500" }}
          {% elif count <= 700  %}
          {{ "#FF6600" }}
          {% elif count <= 800  %}
          {{ "#FF7700" }}
          {% elif count <= 900  %}
          {{ "#FF8800" }}
          {% elif count <= 1000  %}
          {{ "#FF9900" }}
          {% elif count <= 1100  %}
          {{ "#FFAA00" }}
          {% elif count <= 1200  %}
          {{ "#FFBB00" }}
          {% elif count <= 1300  %}
          {{ "#FFCC00" }}
          {% elif count <= 1400  %}
          {{ "#FFDD00" }}
          {% elif count <= 1500  %}
          {{ "#FFEE00" }}
          {% elif count <= 1600  %}
          {{ "#FFFF00" }}
          {% elif count <= 1700  %}
          {{ "#EEFF00" }}
          {% elif count <= 1800  %}
          {{ "#DDFF00" }}
          {% elif count <= 1900  %}
          {{ "#CCFF00" }}
          {% elif count <= 2000  %}
          {{ "#BBFF00" }}
          {% elif count <= 2100  %}
          {{ "#AAFF00" }}
          {% elif count <= 2200  %}
          {{ "#99FF00" }}
          {% elif count <= 2300  %}
          {{ "#88FF00" }}
          {% elif count <= 2400  %}
          {{ "#77FF00" }}
          {% elif count <= 2500  %}
          {{ "#66FF00" }}
          {% elif count <= 2600  %}
          {{ "#55FF00" }}
          {% elif count <= 2700  %}
          {{ "#44FF00" }}
          {% elif count <= 2800  %}
          {{ "#33FF00" }}
          {% elif count <= 2900  %}
          {{ "#22FF00" }}
          {% elif count <= 3000  %}
          {{ "#11FF00" }}
          {% elif count <= 3100  %}
          {{ "#00FF00" }}
          {% else %}
          {{ "#00FF00" }}
          {% endif %}

    - obj: "p3b66" # PV Power Direction 2
      properties:
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_pv_power')|int %}
          {% if count <= 100  %}
          {{ "#FF0000" }}
          {% elif count <= 200  %}
          {{ "#FF1100" }}
          {% elif count <= 300  %}
          {{ "#FF2200" }}
          {% elif count <= 400  %}
          {{ "#FF3300" }}
          {% elif count <= 500  %}
          {{ "#FF4400" }}
          {% elif count <= 600  %}
          {{ "#FF5500" }}
          {% elif count <= 700  %}
          {{ "#FF6600" }}
          {% elif count <= 800  %}
          {{ "#FF7700" }}
          {% elif count <= 900  %}
          {{ "#FF8800" }}
          {% elif count <= 1000  %}
          {{ "#FF9900" }}
          {% elif count <= 1100  %}
          {{ "#FFAA00" }}
          {% elif count <= 1200  %}
          {{ "#FFBB00" }}
          {% elif count <= 1300  %}
          {{ "#FFCC00" }}
          {% elif count <= 1400  %}
          {{ "#FFDD00" }}
          {% elif count <= 1500  %}
          {{ "#FFEE00" }}
          {% elif count <= 1600  %}
          {{ "#FFFF00" }}
          {% elif count <= 1700  %}
          {{ "#EEFF00" }}
          {% elif count <= 1800  %}
          {{ "#DDFF00" }}
          {% elif count <= 1900  %}
          {{ "#CCFF00" }}
          {% elif count <= 2000  %}
          {{ "#BBFF00" }}
          {% elif count <= 2100  %}
          {{ "#AAFF00" }}
          {% elif count <= 2200  %}
          {{ "#99FF00" }}
          {% elif count <= 2300  %}
          {{ "#88FF00" }}
          {% elif count <= 2400  %}
          {{ "#77FF00" }}
          {% elif count <= 2500  %}
          {{ "#66FF00" }}
          {% elif count <= 2600  %}
          {{ "#55FF00" }}
          {% elif count <= 2700  %}
          {{ "#44FF00" }}
          {% elif count <= 2800  %}
          {{ "#33FF00" }}
          {% elif count <= 2900  %}
          {{ "#22FF00" }}
          {% elif count <= 3000  %}
          {{ "#11FF00" }}
          {% elif count <= 3100  %}
          {{ "#00FF00" }}
          {% else %}
          {{ "#00FF00" }}
          {% endif %}

    - obj: "p3b67" # PV Power Direction 3
      properties:
        "text_color": >
          {% set count = states('sensor.deye_sunsynk_sol_ark_pv_power')|int %}
          {% if count <= 100  %}
          {{ "#FF0000" }}
          {% elif count <= 200  %}
          {{ "#FF1100" }}
          {% elif count <= 300  %}
          {{ "#FF2200" }}
          {% elif count <= 400  %}
          {{ "#FF3300" }}
          {% elif count <= 500  %}
          {{ "#FF4400" }}
          {% elif count <= 600  %}
          {{ "#FF5500" }}
          {% elif count <= 700  %}
          {{ "#FF6600" }}
          {% elif count <= 800  %}
          {{ "#FF7700" }}
          {% elif count <= 900  %}
          {{ "#FF8800" }}
          {% elif count <= 1000  %}
          {{ "#FF9900" }}
          {% elif count <= 1100  %}
          {{ "#FFAA00" }}
          {% elif count <= 1200  %}
          {{ "#FFBB00" }}
          {% elif count <= 1300  %}
          {{ "#FFCC00" }}
          {% elif count <= 1400  %}
          {{ "#FFDD00" }}
          {% elif count <= 1500  %}
          {{ "#FFEE00" }}
          {% elif count <= 1600  %}
          {{ "#FFFF00" }}
          {% elif count <= 1700  %}
          {{ "#EEFF00" }}
          {% elif count <= 1800  %}
          {{ "#DDFF00" }}
          {% elif count <= 1900  %}
          {{ "#CCFF00" }}
          {% elif count <= 2000  %}
          {{ "#BBFF00" }}
          {% elif count <= 2100  %}
          {{ "#AAFF00" }}
          {% elif count <= 2200  %}
          {{ "#99FF00" }}
          {% elif count <= 2300  %}
          {{ "#88FF00" }}
          {% elif count <= 2400  %}
          {{ "#77FF00" }}
          {% elif count <= 2500  %}
          {{ "#66FF00" }}
          {% elif count <= 2600  %}
          {{ "#55FF00" }}
          {% elif count <= 2700  %}
          {{ "#44FF00" }}
          {% elif count <= 2800  %}
          {{ "#33FF00" }}
          {% elif count <= 2900  %}
          {{ "#22FF00" }}
          {% elif count <= 3000  %}
          {{ "#11FF00" }}
          {% elif count <= 3100  %}
          {{ "#00FF00" }}
          {% else %}
          {{ "#00FF00" }}
          {% endif %}

    - obj: "p3b31" # PV Icon change according to weather
      properties:
        "text": >
          {% set forecast = states('weather.openweathermap') %}
          {% if forecast == "clear-night"  %}
          {{ "\uE594" }}
          {% elif forecast == "cloudy"   %}
          {{ "\uE590" }}
          {% elif forecast == "fog"   %}
          {{ "\uE591" }}
          {% elif forecast == "hail"   %}
          {{ "\uE592" }}
          {% elif forecast == "lightning"   %}
          {{ "\uE593" }}
          {% elif forecast == "lightning-rainy"   %}
          {{ "\uE67E" }}
          {% elif forecast == "partlycloudy"   %}
          {{ "\uE595" }}
          {% elif forecast == "pouring"   %}
          {{ "\uE596" }}
          {% elif forecast == "rainy"   %}
          {{ "\uE597" }}
          {% elif forecast == "snowy"   %}
          {{ "\uE598" }}
          {% elif forecast == "snowy-rainy"   %}
          {{ "\uE67F" }}
          {% elif forecast == "sunny"   %}
          {{ "\uE5A8" }}
          {% elif forecast == "windy"   %}
          {{ "\uE59D" }}
          {% elif forecast == "windy-variant"   %}
          {{ "\uE59E" }}
          {% elif forecast == "exceptional"   %}
          {{ "\uE59E" }}
          {% else   %}
          {{ "\uE5A8" }}
          {% endif %}

    ############################## Page 4 ##############################

    - obj: "p4b16" # temperature label on all pages
      properties:
        "text": '{{ states("sensor.iwinch60_temperature") }}°C'

    - obj: "p4b15" # Day today
      properties:
        "text": '{{ (as_timestamp(now()))|timestamp_custom("%A") }}'

    - obj: "p4b61" # Day tomorrow
      properties:
        "text": '{{ (as_timestamp(now())+(60*60*24))|timestamp_custom("%A") }}'

    - obj: "p4b71" # Day today + 2
      properties:
        "text": '{{ (as_timestamp(now())+(60*60*24*2))|timestamp_custom("%A") }}'

    - obj: "p4b81" # Day today + 3
      properties:
        "text": '{{ (as_timestamp(now())+(60*60*24*3))|timestamp_custom("%A") }}'

    - obj: "p4b91" # Day today + 4
      properties:
        "text": '{{ (as_timestamp(now())+(60*60*24*4))|timestamp_custom("%A") }}'

    - obj: "p4b101" # Day today + 5
      properties:
        "text": '{{ (as_timestamp(now())+(60*60*24*5))|timestamp_custom("%A") }}'

    - obj: "p4b111" # Day today + 6
      properties:
        "text": '{{ (as_timestamp(now())+(60*60*24*6))|timestamp_custom("%A") }}'
